%define upstream_name    Test-HTML-Tidy
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Test::More-style wrapper around HTML::Tidy 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(HTML::Tidy)

BuildArch: noarch


%description 
Handy way to check that HTML is valid, according to HTML::Tidy. It is built
with Test::Builder and plays happily with Test::More and friends.

If you are not already familiar with Test::More now would be the time to go
take a look.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%make_build test

%files
%doc Changes
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-15.mga9
+ Revision: 1806177
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-14.mga8
+ Revision: 1497350
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-13.mga7
+ Revision: 1271886
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-12.mga6
+ Revision: 1034296
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.0.0-11.mga6
+ Revision: 934226
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-10.mga5
+ Revision: 748550
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-9.mga5
+ Revision: 686448
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-8.mga4
+ Revision: 515186
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-7.mga3
+ Revision: 373552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.0.0-6.mga1
+ Revision: 36610
- mageia rebuild
- imported package perl-Test-HTML-Tidy


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-6mdv2010.1
+ Revision: 505273
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.00-5mdv2010.0
+ Revision: 430597
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.00-4mdv2009.0
+ Revision: 258513
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.00-3mdv2009.0
+ Revision: 246534
- rebuild
- fix no-buildroot-tag

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.00-1mdv2008.1
+ Revision: 131615
- kill re-definition of %%buildroot on Pixel's request


* Wed Mar 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2007.1
+ Revision: 143563
- Imported perl-Test-HTML-Tidy-1.00-1mdv2007.1 into SVN repository.

* Wed Mar 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2007.1
- first mdv release

